package com.bigflix.BigFlixMovies;

import android.content.Context;
import android.text.TextUtils;

public class Storage {

    public static void storeOfferWallPoints(Context context,int points){
        int oldPoints = getOfferWallPoints(context);
        context.getSharedPreferences("MyOfferPrefs", Context.MODE_PRIVATE).edit()
                .putInt("points", oldPoints + points).commit();
    }

    public static int getOfferWallPoints(Context context){
        return context.getSharedPreferences("MyOfferPrefs", Context.MODE_PRIVATE).getInt("points", 0);
    }

    public static void storeVideoPoints(Context context,float points){
        float oldPoints = getVideoPoints(context);
        context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).edit()
                .putFloat("points", oldPoints + points).commit();
    }

    public static float getVideoPoints(Context context){
        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getFloat("points", 0);
    }

    public static String getAppId(Context context){
        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("appId", "a2717a45b835b5e9f50284a38d62a74e");
//        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("appId", "4317fb1fcbf1ca98badf08ef59b0b86b");//pokkt sample app
//        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("appId", "6466b1dadc5b68cd5c7ba66f8cc6bf17");//mahesh sample app
    }

    public static void setAppId(Context context, String appId){
        if(!TextUtils.isEmpty(appId)) {
            context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).edit().putString("appId", appId).commit();
        }
    }

    public static String getSecurityKey(Context context){
        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("securityKey", "iJ02lJss0M");
//        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("securityKey", "91f118562047d230f2b907ba93d2c4e2");//pokkt sample app
//        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("securityKey", "6e4949c218660745f1f585a78c8130af");//pokkt sample app
    }

    public static void setSecurityKey(Context context, String appId){
        if(!TextUtils.isEmpty(appId)) {
            context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).edit().putString("securityKey", appId).commit();
        }
    }

}
